import os

class Config:
	SECRET_KEY = os.environ.get('SECRET_KEY')
	SQLALCHEMY_TRACK_MODIFICATIONS = False
	SQLALCHEMY_ECHO = False
	DEBUG = os.environ.get('DEBUG')
	SESSION_COOKIE_DOMAIN = os.environ.get('COOKIE_DOMAIN')
	SQLALCHEMY_DATABASE_URI = os.environ.get('SQLALCHEMY_WEBDB_URI')

	SQLALCHEMY_BINDS = {
	    'system': os.environ.get('SQLALCHEMY_WEBDB_URI'),
	    'gtfs_work': os.environ.get('SQLALCHEMY_HOTDB_URI'),
	    'gtfs_static': os.environ.get('SQLALCHEMY_GTFSDB_URI'),
		}
	MAIL_DEBUG = int(os.environ.get('DEBUG') == True)

	MAIL_SERVER = os.environ.get('MAIL_SERVER')
	MAIL_PORT = os.environ.get('MAIL_PORT')
	SQLALCHEMY_ENGINE_OPTIONS = {
		'pool_size': 2,
	    'pool_recycle': 300,
	    'pool_pre_ping': True
		}
